wxRuby Documentation Home

# Wx::PreviewCanvas

A preview canvas is the default canvas used by the print preview
system to display the preview.

## Derived from

ScrolledWindow

Window

wxevthandler

Object

## See also

PreviewFrame, PreviewControlBar, PrintPreview

## Methods

- PreviewCanvas.new
- PreviewCanvas#on_paint

### PreviewCanvas.new

PreviewCanvas.new(%(arg-type)PrintPreview% preview, Window parent, Point pos = DEFAULT_POSITION, Size size = DEFAULT_SIZE, Integer style = 0, String name = “canvas”)

Constructor.

destructor()

Destructor.

### PreviewCanvas#on_paint

on_paint(%(arg-type)PaintEvent% event)

Calls PrintPreview#paint_page to refresh the canvas.

[This page automatically generated from the Textile source at 2023-06-09 00:45:28 +0000]